package utils

const (
	minPassword = "6"
	MinPassword = 6
	maxPassword = "64"
	MaxPassword = 64

	LenHeaderXAuthorization = 36
	lenHeaderXAuthorization = "36"
	LenUserId               = 36
	LenHeaderXApiKey        = 36

	HeaderXAuthorization = "X-Authorization"
	HeaderXApiKey        = "X-Api-Key"

	SessionExpiresAtTime = 7 * 24 * 60 * 60 // 1 week

	MaxImageSize = 25 * 1024 * 1024 // 25MB
	MaxVideoSize = 50 * 1024 * 1024 // 50MB
)

var (
	AcceptedImageFileTypes = []string{
		"image/png",
		"image/jpeg",
		"image/jpg",
		"image/webp"}

	AcceptedVideoFileTypes = []string{
		"video/mp4",
		"video/webm",
		"video/mkv"}
)

const (
	LessonContentTypeHeader uint8 = 1
	LessonContentTypeText         = 2
	LessonContentTypeImage
)
